View Issue Details

IDProjectCategoryView StatusLast Update
0001022FreeCADFeaturepublic2013-11-04 22:53
ReporterwmayerAssigned Towmayer 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0001022: BRepPrimAPI_MakeRevolution vs BRepPrimAPI_MakeRevol
DescriptionMake an option to use either the one or the other in the Revolution feature.
TagsNo tags attached.

Activities

jrheinlaender

2013-02-21 04:54

developer   ~0002929

You mean makeRevolution() would create a shell whereas makeRevol (which is used currently) creates a solid?

wmayer

2013-10-28 13:06

administrator   ~0003826

I first thought it could be useful but the point is that BRepPrimAPI_MakeRevolution does not accept any shapes but only curves.

Anyway, I extended the API of Part.makeRevolution() to set the output shape type.

Examples:
import Part
l=Part.Line(App.Vector(1,0,0),App.Vector(1,0,1))

solid=Part.makeRevolution(l,l.FirstParameter,l.LastParameter,360,App.Vector(),App.Vector(0,0,1),Part.Solid)
Part.show(solid)

shell=Part.makeRevolution(l,l.FirstParameter,l.LastParameter,360,App.Vector(),App.Vector(0,0,1),Part.Shell)
Part.show(shell)

face=Part.makeRevolution(l,l.FirstParameter,l.LastParameter,360,App.Vector(),App.Vector(0,0,1),Part.Face)
Part.show(face)

shape=Part.makeRevolution(l,l.FirstParameter,l.LastParameter,360,App.Vector(),App.Vector(0,0,1),Part.Shape)
Part.show(shape)

wmayer

2013-10-28 13:07

administrator   ~0003827

git show 80bbd3f

Issue History

Date Modified Username Field Change
2013-02-20 09:03 wmayer New Issue
2013-02-21 04:54 jrheinlaender Note Added: 0002929
2013-10-28 13:06 wmayer Note Added: 0003826
2013-10-28 13:06 wmayer Status new => assigned
2013-10-28 13:06 wmayer Assigned To => wmayer
2013-10-28 13:07 wmayer Note Added: 0003827
2013-10-28 13:07 wmayer Status assigned => closed
2013-10-28 13:07 wmayer Resolution open => fixed
2013-10-28 13:07 wmayer Fixed in Version => 0.14
2013-11-04 22:53 yorik Changeset attached => FreeCAD Master master 80bbd3f2